Layer toogle overrides on-the-fly CRS transformation setting

2015-09-11 04:23 AM - andskog -

Status: Closed

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:2.10.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21395

Description

Not sure if this is intended or a bug. But when I have two layers with different CRSs in a project, toggling them in the layer list will

automatically enable on-the-fly CRS transformation, even though I have specifically set it not to, in the project settings.

History

#1 - 2015-09-12 01:50 AM - Saber Razmjooei

- Status changed from Open to Feedback

You need to restart QGIS or start a new project for the setting to take effect.

#2 - 2015-09-12 01:51 AM - Saber Razmjooei

- Category set to Map Canvas

#3 - 2015-09-25 01:52 AM - andskog -

Restarting QGIS or creating a new project doesn't change anything to this behavior here. Toggling on-the-fly takes immediate effect, and toggling layers

with on-the-fly activated or not, still causes this effect.

#4 - 2015-10-12 10:35 AM - Saber Razmjooei

You need to set your the OTF projection OFF:

From Settings > Options > CRS: select Do not enable 'on the fly' reprojection.

Restart your QGIS and things should work as expected.

#5 - 2015-10-13 02:36 AM - andskog -

- Status changed from Feedback to Closed

I see, there is a difference in the Project settings and the general QGIS options. Setting the latter to disable OTF will not cause it to turn on when toggling

the layers, like the Project setting will. Thanks.
